[[
 This file is part of RCW.

    RCW is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    RCW is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RCW.  If not, see <http://www.gnu.org/licenses/>.
]]

RCW = LibStub("AceAddon-3.0"):NewAddon("Ready Check Warning", "AceEvent-3.0", "AceConsole-3.0");

local options = {
	name = "Ready Check Warning",
	type = "group",
	args = {
		test = {
			name = "Test",
			type = "execute",
			func = "ReadyCheckWarning",
		},
	},
};

function RCW:OnInitialize()
	LibStub("AceConfig-3.0"):RegisterOptionsTable("Ready Check Warning", options);
	self:RegisterChatCommand("rcw", "ChatCommand");
end

function RCW:OnEnable()
	self:RegisterEvent("READY_CHECK", "ReadyCheckWarning");
end

function RCW:ChatCommand(input)
	LibStub("AceConfigCmd-3.0").HandleCommand(RCW, "Ready Check Warning", "Ready Check Warning", input);
end

function RCW:ReadyCheckWarning()
	PlaySoundFile("Interface\\AddOns\\RCW\\warning.ogg");
end

